Bug 545188 - Review Request: sugar-visualmatch - A visual matching game
Review Request: sugar-visualmatch - A visual matching game
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Fabian Affolter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-07 15:11 EST by Sebastian Dziallas
Modified: 2010-01-01 22:36 EST (History)
3 users (show)

See Also:
Fixed In Version: 13-1.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-01 22:28:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mail: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 1 Fabian Affolter 2009-12-24 05:31:53 EST
Package Review
==============

Package: 

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec
 [x] Package meets the Packaging Guidelines
 [x] Package successfully compiles and builds into binary RPMs on at least one
supported architecture
     Tested on: F12/i386
 [!] Rpmlint output:
     Source RPM:
     [fab@localhost SRPMS]$ rpmlint sugar-visualmatch-8-1.fc12.src.rpm 
     sugar-visualmatch.src: W: non-standard-group Sugar/Activities
     sugar-visualmatch.src: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 12)
     1 packages and 0 specfiles checked; 0 errors, 2 warnings.
     Binary RPM(s):
     [fab@localhost noarch]$ rpmlint sugar-visualmatch-8-1.fc12.noarch.rpm 
     sugar-visualmatch.noarch: W: non-standard-group Sugar/Activities
     1 packages and 0 specfiles checked; 0 errors, 1 warnings.
 [x] Package is not relocatable
 [x] Buildroot is correct
     master   : %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
     spec file: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [!] License field in the package spec file matches the actual license
     License type: GPLv3
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc

 [x] Spec file is legible and written in American English
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL
     Upstream source: a5a7d70c3943a71df066263a1d8e6cfd
     Build source:    a5a7d70c3943a71df066263a1d8e6cfd
 [x] Package is not known to require ExcludeArch
 [x] Architecture independent packages have: BuildArch: noarch
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.  %find_lang used for locales
 [-] %{optflags} or RPM_OPT_FLAGS are honoured
 [-] ldconfig called in %post and %postun if required
 [x] %install starts with rm -rf %{buildroot} or $RPM_BUILD_ROOT
 [x] Package must own all directories that it creates
 [x] Package requires other packages for directories it uses
 [x] Package does not own files or directories owned by other packages
 [x] Package does not contain duplicates in %files
 [x] Permissions on files are set properly. %defattr(-,root,root,-) is in every %files section
 [x] Package uses nothing in %doc for runtime
 [x] Package has a %clean section, which contains rm -rf %{buildroot} or $RPM_BUILD_ROOT
 [-] Included tests passed successfully 
 [x] Package consistently uses macros
 [x] Package contains code, or permissable content
 [x] Included filenames are in UTF-8

 [-] Large documentation files are in a -doc subpackage, if required
 [-] Header files (.h) in -devel subpackage, if present
 [-] Fully versioned dependency in subpackage, if present
 [-] Static libraries (.a) in -static subpackage, if present
 [-] Package requires pkgconfig, if .pc files are present
 [-] Development .so files in -devel subpackage, if present
 [-] Package does not contain any libtool archives (.la)
 [-] -debuginfo subpackage is present and looks complete
 [x] No pre-built binaries (.a, .so*, executable)
 
 [-] Package contains a properly installed .desktop file if it is a GUI application
 [-] Follows desktop entry spec
 [-] Valid .desktop Name
 [-] Valid .desktop GenericName
 [-] Valid .desktop Categories
 [-] Valid .desktop StartupNotify
 [-] .desktop file installed with desktop-file-install in %install

=== SUGGESTED ITEMS ===
 [-] Timestamps preserved with cp and install
 [-] Uses parallel make (%{?_smp_mflags})
 [!] Latest version is packaged
 [-] Package does not include license text files separate from upstream
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available
 [x] Reviewer should test that the package builds in mock
     Tested on: F12/i386
 [x] Package should compile and build into binary RPMs on all supported
architectures.
     Tested:  http://koji.fedoraproject.org/koji/taskinfo?taskID=1889622
 [x] Package functions as described
 [-] Scriptlets must be sane, if used
 [-] The placement of pkgconfig(.pc) files is correct
 [-] File based requires are sane
 [x] Changelog in allowed format

- Fix the mixed-use-of-spaces-and-tabs error
- The license file contains the text of a MIT license (Modern Style with sublicense) and the source code as well.  GPLv3 is wrong.
- The latest version seams to 12.  

Beside that I see no further blocker.  Please fix the issues before you make the initial import into CVS.  Package APPROVED
Comment 2 Sebastian Dziallas 2009-12-24 07:44:35 EST
New Package CVS Request
=======================
Package Name: sugar-visualmatch
Short Description: A visual matching game
Owners: sdz
Branches: F-11 F-12
Comment 3 Kevin Fenzi 2009-12-28 21:52:44 EST
cvs done.
Comment 4 Fedora Update System 2009-12-29 08:09:00 EST
sugar-visualmatch-13-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/sugar-visualmatch-13-1.fc12
Comment 5 Fedora Update System 2009-12-29 08:09:06 EST
sugar-visualmatch-13-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/sugar-visualmatch-13-1.fc11
Comment 6 Fedora Update System 2010-01-01 22:28:51 EST
sugar-visualmatch-13-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2010-01-01 22:36:16 EST
sugar-visualmatch-13-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.